Runtime

## org.eclipse.gmf.runtime.emf.type.core.edithelper
Interface IEditHelper

All Known Implementing Classes:
  AbstractEditHelper

public interface IEditHelper

A factory for commands that will modify elements of a specific type.

Clients should not implement this interface directly, but should subclass `AbstractEditHelper`instead.

Method Summary
`boolean` `canEdit(IEditCommandRequest req)` Answers whether or not the requested edit can be performed.
`java.util.List` `getContainedValues(EObject eContainer, EReference feature)` Gets the values that can be contained in the `feature` of `eContainer`.
`ICommand` `getEditCommand(IEditCommandRequest req)` Gets an edit command to perform the work requested in `req`.

Method Detail

### canEdit

    public boolean canEdit(IEditCommandRequest req)

  Answers whether or not the requested edit can be performed.

  Parameters:
    `req` - the edit request
  Returns:
    `true` if the requested edit can be performed, `false` otherwise.

### getEditCommand

    public ICommand getEditCommand(IEditCommandRequest req)

  Gets an edit command to perform the work requested in `req`.

  The work should be considered unsupported by this edit helper if the command returned is `null` or its `isExecutable()` method returns `false`.

  Parameters:
    `req` - the edit request
  Returns:
    the edit command, or `null` if none could be found

### getContainedValues

    public java.util.List getContainedValues(EObject eContainer,
                                             EReference feature)

  Gets the values that can be contained in the `feature` of `eContainer`. Such values may be element types that could be owned by the `eContainer`, or actual model element instances that can be referenced by the feature.

  Parameters:
    `eContainer` - the container object
    `feature` - the feature of the container object
  Returns:
    the possible values that can be contained in the feature

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.